:root {
  --fs-red: #A82920;
  --fs-dark-gray: #A7ACB7;
  --fs-button-blue: #487DF2;
  --fs-button-gray-blue: #7796B5;
  --fs-button-gray: #858B8E;
  --fs-button-red: #ED1700;
  --fs-button-green: #40a355;
  --fs-button-violett: #b047d3;
  --fs-button-yellow: #ffc805;
  --fs-alert-red: #FF0101;
  --fs-alert-green: #2CBC63;
  --fs-button-orange: #F28C28;
  --fs-body: #e0e0e0;
}








.clear {
	clear: both;
	margin: 15px;
}


/* Hautpcss */

body {
    
    width: auto;
    min-width: 260px;
    margin: 0px;
    background-color: var(--fs-body);
    font-family: Calibri, sans-serif;
    font-size: 16px;
    
    
}


.header {
    width: calc(100% - 12px);
    min-width: 390px;
    height: 80px;
    background-color: #A82920;
    border-radius: 16px;
    margin: 5px 5px 5px 5px;
    backdrop-filter: blur(10px);
    -webkit-backdrop-filter: blur(10px);
    border: 1px solid rgba(255, 255, 255, 0.3);
    box-shadow: 0 4px 30px rgba(0, 0, 0, 0.1);
    
}

.logo {
    
    width: auto;
    height: 70px;
    float: left;
    margin: 5px 0px 0px 5px;
    
}

@media (max-width: 590px) {

    .header {
        width: calc(100% - 12px);
        min-width: 300px;
        
    }
    
    
    
   

}



.main_titel {
        
        float: left;
        margin: 0 0 5 10;
        text-align: left;
        font-family: Calibri, sans-serif;
        color: #2E3337;
        font-size: 24px;
    
}

.titel1 {
    
    float: left;
    margin-left: 20px;
    margin-top: 15px;
    font-family: Calibri, sans-serif;
    color: #ffffff;
    font-size: 20px;
    
}

@media (max-width: 590px) {
    .titel1 {
        display: none;
        
    }
}

.titel2 {
        
        width: 250px;
        margin: auto;
        margin-top: 20px;
        text-align: center;
        font-family: Calibri, sans-serif;
        color: #2E3337;
        font-size: 20px;
    
}


.fbdiv {
    
    
    float: left;
    width: auto;
    margin: 10px 10px 1px 5px;
    background-color: #FFFFFF;
    border: solid;
    border-width: 1px;
    border-radius: 3px;
    border-color:  var(--fs-dark-gray);
    box-shadow: 3px 3px 3px 3px rgba(0, 0, 0, 0.2), 0 5px 10px 0 rgba(0, 0, 0, 0.19);
    
}

@media (max-width: 590px) {
    .fbdiv {
        width: calc(100% - 12px);
    }
}

.fbtiteldiv {
    float: left;
    width: 100%;
    height: auto;
    min-height: 30px;
    background-color: var(--fs-red);
    border: 0px solid;
    border-color: #E0E0E0;
    border-radius: 2px 2px 0px 0px;
    margin: 0px 0px 0px 0px;
}

.fbtitel {
    
    float: left;
    margin: 3px 10px 0px 10px;
    width: auto;
    text-align: left;
    color: White;
    font-size: 18px;
    
}



.fbinhaltdiv {
    
    float: left;
    margin: 3px 3px 3px 3px;

}





.input_div {
    
    float: left;
    margin: 5 5 5 5;
    
}

.input {
    float: left;
    width: auto;
    text-align: left;
    font-family: Calibri, sans-serif;
    font-size: 18px;
    color: black;
    font-size: 18px;
    text-decoration: none;
    margin: 1px 20px 0px 0px;
    border-radius: 3px;
    border: solid;
    border-width: 1px;
    border-color: gray;
    height: 32px;
}

form {
    margin: 0px 0px 0px 0px;
}

.msg_alert {
  padding: 15px;
  background-color: #db2525;
  color: white;
}

.msg_info {
  padding: 15px;
  background-color: #198754;
  color: white;
}


.filter_div {
    
    float: left;
    width: auto;
    min-width: 250px;
    margin: 5 5 10 5;
    background-color: #FFFFFF;
    border: solid;
    border-width: 1px;
    border-radius: 3px;
    border-color: var(--fs-dark-gray);
    
}

.sub_titel {
    
    margin: 2 0 5 5;
    font-weight: bold;
    font-size: 18px;
    
}

.inner_menu {
    
    float: left;
    margin: 5 0 2 5;
    display: flex;
    align-items: center;
    gap: 10px;
    flex-wrap: wrap;
    
}

.label_left {
    float: left;
    margin-right: 4px;
    margin-top: 5px;
   
}




.normtable_div {
    
    overflow: auto;
    margin: 0 5 0 5;
    box-shadow: 3px 3px 3px 3px rgba(0, 0, 0, 0.2), 0 5px 10px 0 rgba(0, 0, 0, 0.19);
    border-radius: 5px;
    border: 1px solid;
    border-color: var(--fs-dark-gray);
  
}

table {
    width: 100%;
    border: 1px solid;
    border-collapse: collapse;
    border-color: var(--fs-dark-gray);
    border-radius: 5px;
}

tr {
   background-color: #e2e2e2;
}

tr:hover {
    background-color: #a9c4fc;
}

tr:nth-child(2n) {
   background-color: #FFFFFF;
}

tr:nth-child(2n):hover {
   background-color: #a9c4fc;
}

th {
    
    width: auto;
    height: 30px;
    min-width: 150px;
    
    border: 1px solid;
    border-collapse: collapse;
    border-color: var(--fs-dark-gray);
    
    
    background-color: var(--fs-red);
    
    word-break: break-all; 
    text-align: center;
    font-family: Calibri, sans-serif;
    color: white;
    font-size: 17px;
    text-decoration: none;
}

td {
    
    width: auto;
    height: 30px;
    min-width: 150px;
    
    border: 1px solid;
    border-collapse: collapse;
    border-color: var(--fs-dark-gray);
    
    word-break: break-all; 
    
    text-align: center;
    font-family: Calibri, sans-serif;
    color: #2E3337;
    font-size: 17px;
    text-decoration: none;
}

td:hover {
    
    text-align: center;
    font-family: Calibri, sans-serif;
    color: #2E3337;
    font-size: 17px;
    text-decoration: none;
}

.small_td_th {
    
    min-width: 50px;
    width: 50px;
}

.date_td_th {
    
    min-width: 100px;
    width: 100px;
}

.status_td_th {
    
    min-width: 140px;
    width: 140px;
    
}

.tlink {
    
    margin: 0 5 0 5 ;
    text-align: center;
    font-family: Calibri, sans-serif;
    color: black;
    font-size: 17px;
    text-decoration: none;
    
    
}

.table_status_color {
    
    text-align: center;
    margin: 0 3 0 3;
    color: white;
    border-radius: 5px;
    
}

.table_status_color_white {
    background-color: white;
    color: black;
    border: 1px solid;
}

.table_status_color_white2 {
    background-color: white;
    color: black;
    border: 1px dotted;
}

.table_status_color_blue {
   background-color: var(--fs-button-blue);
    
}

.table_status_color_red {
    
    background-color: var(--fs-button-red);
    
}


.table_status_color_orange {

    background-color: var(--fs-button-orange);
   
}

.table_status_color_yellow {

    background-color: var(--fs-button-yellow);
 
}

.table_status_color_green {

    background-color: var(--fs-button-green);

}


.table_status_color_gray {

    background-color: var(--fs-button-gray);
 
}


.table_status_color_violet {

    background-color: var(--fs-button-violett);

    
}

.show_count {
    margin: 2px 0px 2px 10px;
}




/* MainMitteilung */
.msg_box {
    padding: 15px;
    color: white;
    border: 1px solid;
    border-color: var(--fs-dark-gray);
    border-radius: 0.375rem;
}


.msg_alert {
  background-color: var(--fs-alert-red);
}

.msg_ok {
    background-color: var(--fs-alert-green);
}


.closebtn {
  margin-left: 15px;
  color: white;
  font-weight: bold;
  float: right;
  font-size: 22px;
  line-height: 20px;
  cursor: pointer;
  transition: 0.3s;
}

.closebtn:hover {
  color: black;
}




/* Popup */
.popup {
    display: none; /* Anfangs versteckt */
    position: fixed; /* Über allem */
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.5); /* Halbtransparentes Schwarz */
    z-index: 1000; /* Hoher z-index */
}

.popup-content {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    background-color: white;
    border-radius: 10px;
    width: 80%;
    max-width: 550px;
    padding: 20px;
    box-sizing: border-box;
    overflow-y: auto;
    max-height: 90%;
}
        
        


/* MainButton */
.button-fms {
    padding: 5 10 5 10;
    border: 1px solid;
    border-radius: 5px;
    border-color: rgba(0, 0, 0, 0);
    text-align: center;
    font-family: Calibri, sans-serif;
    color: #F5F5F5;
    font-size: 18px;
    cursor: pointer;
    margin: 1px 2px 2px 2px;
    height: 33px;
    font-weight: 400;
    letter-spacing: -.022em;
    text-decoration: none;
    overflow: hidden; 
    text-overflow:ellipsis;
}






/* Button Blau */
.button_fms_blau {
    background-color: var(--fs-button-blue);
}

.button_fms_blau:hover {
    background-color: #2F64D6;
}

.button_fms_blau:active {
    background-color: #2357c6;
}

/* Button Blau Grau */
.button_fms_grau_blau {
    background-color: var(--fs-button-gray-blue);
}

.button_fms_grau_blau:hover {
    background-color: #5c7996;
}

.button_fms_grau_blau:active {
    background-color: #465f78;
}

/* Button Grau */
.button_fms_grau {
    background-color: var(--fs-button-gray);
}

.button_fms_grau:hover {
    background-color: #7f7f7f;
}

.button_fms_grau:active {
    background-color: #6f6f70;
}

/* Button Violett */
.button_fms_violett {
    background-color: var(--fs-button-violett);
}

.button_fms_violett:hover {
    background-color: #9b36bc;
}

.button_fms_violett:active {
    background-color: #792496;
}

/* Button Rot */
.button_fms_rot {
    background-color: var(--fs-button-red);
}

.button_fms_rot:hover {
    background-color: #E0261D;
}

.button_fms_rot:active {
    background-color: #E0261D;
}


/* Button Grün */
.button_fms_grun {
    background-color: var(--fs-button-green);
}

.button_fms_grun:hover {
    background-color: #339147;
}

.button_fms_grun:active {
    background-color: #2d803f;
}


/* Button Orange */
.button_fms_orange {
    background-color: var(--fs-button-orange);
}

.button_fms_orange:hover {
    background-color: #e08124;
}

.button_fms_orange:active {
    background-color: #cf7721;
}





.quickbutton {
    
    padding: 5 5 5 5;
    margin: 2 2 2 2;
    height: 60px;
    background-color: white;
    border: solid;
    border-width: 1px;
    border-color: var(--fs-dark-gray);
    border-radius: 5px;
    text-align: left;
    width: 100%;
    
}




.quickbutton:hover {
    
    background-color: #E0E0E0;
    
}

.quickbutton:active {
    
    background-color: #AAAAAA;
    
}

.quick_img {
   
    float: left;
    margin: 0 0 0 0;
    height: 45px;
    width: 45px;
    
}

.quick_text {
    
    margin: 0px 0px 0px 55px;
    color: black;
    font-size: 15px;
    font-weight: 550;
    height: 20px;
    
    text-decoration: none;
}

.quick_text_2 {
    
    margin: 5px 0px 0px 55px;
    color: black;
    font-size: 13px;
    height: 20px;
    
    text-decoration: none;
}



.main_menu {
    
    width: auto;
    height: auto;
    float: left;
    margin-top: 0px;
    margin-left: 5px;
    justify-content: space-between;
    font-family: Calibri, sans-serif;
}


.main_menu_button {
    
    padding: 5 10 5 10;
    width: auto;
    min-width: 70px;
    height: 80px;
    background-color: var(--fs-red);
    border: solid;
    border-width: 0px;
    border-radius: 10px;
    text-align: center;
    font-family: Calibri, sans-serif;
    color: #ffffff;
    font-size: 18px;
    cursor: pointer;
}

.main_menu_button:hover {
    background-color: #a0251e;
}

.main_menu_button:active {
    background-color: #99211b;
}

@media (max-width: 590px) {
    
    .main_menu_button {
        padding: 0 1 0 1;
    }
}





/*Checkbox Slider*/
.switch {
  display: inline-block;
  height: 34px;
  position: relative;
  width: 60px;
  margin: -3px 0px 0px 0px;
}

.switch_right {
    margin: 0px 0px 5px 0px;
    float: right;
}

.switch input {
  display:none;
}

.slider {
  background-color: #ccc;
  bottom: 0;
  cursor: pointer;
  left: 0;
  position: absolute;
  right: 0;
  top: 0;
  transition: .4s;
}

.slider:before {
  background-color: #fff;
  bottom: 4px;
  content: "";
  height: 26px;
  left: 4px;
  position: absolute;
  transition: .4s;
  width: 26px;
}

input:checked + .slider {
  background-color: #66bb6a;
}

input:checked + .slider:before {
  transform: translateX(26px);
}

.slider.round {
  border-radius: 34px;
}

.slider.round:before {
  border-radius: 50%;
}










/* Login */

.login_body_red {
    background-color: var(--fs-red);
}

.main_logo  {
    width: auto;
    height: 100px;
    border: 1px solid;
    border-color: var(--fs-dark-gray);
    border-radius: 0.375rem;
    position: absolute;
    top: 20%;
    left: 50%;
    transform: translate(-50%, -50%);
    padding: 10px;
    background-color: white;
}

.login_inner_titel {
    margin: -3px 0px 5px 0px;
    font-weight: bold;
    font-size: 23px;
}

.login_input {
    margin: 0px 0px 10px 0px;
    height: 40px;
    min-width: 150px;
    width: 100%;
    background-color: #E8F0FE;
    border: 1px solid;
    border-radius: 0.375rem;
    border-color: var(--fs-dark-gray);
    font-size: 18px;
}

.panel_center   {
    border: 1px solid;
    border-color: var(--fs-dark-gray);
    border-radius: 0.375rem;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    padding: 10px;

    background-color: white;
    box-shadow: 8px 8px 8px 8px rgba(0, 0, 0, 0.2), 0 10px 20px 0 rgba(0, 0, 0, 0.19);
    min-width: 300px;
}




/* Profil */
.user_img {
    
    
    max-width: 200px;
    max-height: 200px;
    margin: 0px 0px 0px 0px;
    border: solid;
    border-width: 1px;
    border-radius: 5px;
    border-color: var(--fs-dark-gray);
    position: relative;
    left: 50%;
    transform: translateX(-60%);
    
}





.status_p_ok {
    width: 10px;
    height: 10px;
    float: left;
    border-style: solid;
    border-width: 1px;
    background-color: #4ce500;
    font-size: 16px;
    border-color: var(--fs-dark-gray);
    border-radius: 10px;
}

.status_p_mok {
    width: 10px;
    height: 10px;
    float: left;
    border-style: solid;
    border-width: 1px;
    background-color: #ff8800;
    font-size: 16px;
    border-color: var(--fs-dark-gray);
    border-radius: 10px;
}

.status_p_nok {
    width: 10px;
    height: 10px;
    float: left;
    border-style: solid;
    border-width: 1px;
    background-color: #d61700;
    font-size: 16px;
    border-color: var(--fs-dark-gray);
    border-radius: 10px;
}

.status_label {
    
    float: left;
    margin: -5 30 0 10;
    text-align: left;
    font-family: Calibri, sans-serif;
    font-size: 18px;
    
}




/*Nachrichten*/
.text-container {
    overflow-wrap: break-word;
    position: relative;
    
}
.show-more {
    display: none;
    text-align: center;
    margin-top: 10px;
}
.show-more-link {
    color: blue;
    cursor: pointer;
}



/* Benutzerverwaltung */
.edituser_button_div {
    
    position:fixed;
    width: 100%;
    background-color: var(--fs-dark-gray);
    bottom: 0;
    padding: 2px;
    
}



/* Fahrzeuge */
.fahrzeugp {
    
    text-align: left;
    font-family: Calibri, sans-serif;
    color: #2E3337;
    font-size: 16px;
    
    margin: 2 5 2 5;

}

.fleet_status_point {
    
    width: 9px;
    height: 9px;
    border-radius: 9px;
    float: right;
    margin: 2 2 0 0;
    border: solid;
    border-width: 1px;
    
}

.menu_map1 {
        display: block;
        
    }
    
    .menu_map2 {
        display: none;
        
    }

@media (max-width: 590px) {
    
    .menu_map1 {
        display: none;
        
    }
    
    .menu_map2 {
        display: block;
        
    }
    
    
}


/*Dokumente */    
.dok_folder {
    background-color: #f2f2f2;
    border: none;
    border-radius: 5px;
    width: 150px;
    height: 150px;
    vertical-align: middle;
    padding: 0px;
    margin: 0px 5px 10px 0px;
    text-decoration: none;
    font-family: Calibri, sans-serif;
    font-size: 18px;
    color: black;
}

.dok_folder:hover {
    background-color: #F2F3F6;
    border: none;
    border-radius: 5px;
    box-shadow: 3px 3px 5px rgba(0, 0, 0, 0.5);
    margin: 0px 5px 10px 0px;
    
}

.dok_link {
    padding: 3px; 
    text-decoration: none; 
    color: black;
    
}

.dok_link:hover {
    background-color: #bbbcbf;
    border: none;
    border-radius: 5px;
}






/* Terminal */
.terminal_header {
    
    width: calc(100% - 10px);
    min-width: 360px;
    height: 100px;
    background-color: #A82920;
    border-radius: 16px;
    margin: 5px 5px 5px 5px;
    backdrop-filter: blur(10px);
    -webkit-backdrop-filter: blur(10px);
    border: 1px solid rgba(255, 255, 255, 0.3);
    box-shadow: 0 4px 30px rgba(0, 0, 0, 0.1);
    
    
    position: fixed;
      top: 0;
      left: 0;
      right: 0;
      z-index: 1000;

    
    
    
}



.terminal_logo {
    
    width: auto;
    height: 80px;
    float: left;
    margin-top: 10px;
    margin-left: 10px;
    
}


.terminal_menu_button_img {
    
    width: 75px;
    height: 75px;
    float: center;
    margin-top: 0px;
    margin-left: 0px;
    
}

.terminal_menu_button {
    
    width: 90px;
    height: 90px;
    float: right;
    margin-top: 5px;
    margin-right: 1px;
    background: rgba(225, 225, 225, 0.20);
    padding: 0;
    backdrop-filter: blur(10px);
    -webkit-backdrop-filter: blur(10px);
    border: 1px solid rgba(255, 255, 255, 0.3);
    box-shadow: 0 4px 30px rgba(0, 0, 0, 0.1);
    border-radius: 16px;
  	
    
}

.terminal_menu_button_show_mobile {
        display: none;
        
    }


@media (max-width: 770px) {
    .terminal_menu_button_hide_mobile {
        display: none;
        
    }
    .terminal_menu_button_show_mobile {
        display: block;
        
    }
    
    .terminal_p_leer_text {
        width: calc(100% - 1px) !important;
    }
    
    
    .einheittext {
        font-size: 20px !important;
        margin: 37px 0px 0px 10px !important;
    }
    
    .terminal_alarm_detail_panel_inhalt{
        max-width: calc(100vw - 30px);
        width: calc(100vw - 30px) !important;
        overflow: hidden;
    }
    
    #terminal_alarm_detail_nr {
        max-width: calc(100vw - 30px);
        width: calc(100vw - 30px) !important;
        overflow: hidden;
    }
    
    .terminal_alarm_detail_panel_titel{
        max-width: calc(100vw - 30px);
        width: calc(100vw - 30px) !important;
        overflow: hidden;
    }
    
    .terminal_msg_div {
        max-width: calc(100vw - 30px);
        width: calc(100vw - 30px);
    }
    
}


.terminal_msg_div_back {
   
  display: block;
  position: fixed;
  z-index: 1010;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  
  /* A bit of padding around image */
  padding: 1em;

  /* Translucent background */
  background: rgba(0, 0, 0, 0.8);

    
}



.terminal_msg_div {
    
    background-color: gray;
    width: 500px;
    height: 250px;
    z-index: 1001;
    /* Zentrierung */
    position: fixed;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%); /* Korrigiert die Position um 50% der eigenen Größe */
    backdrop-filter: blur(10px);
    -webkit-backdrop-filter: blur(10px);
    border: 1px solid rgba(255, 255, 255, 0.3);
    box-shadow: 0 4px 30px rgba(0, 0, 0, 0.1);
    border-radius: 16px 16px 16px 16px;
    background: rgba(255, 255, 255, 0.15);
    
}


.terminal_msg_titel {
    
    font-size: 20px;
    font-weight: bold;
    color: white;
    width: 100%;
    text-align: center;
    height: 30px;
    padding: 7px 0px 0px 0px;
    margin: 0px 0px 0px 0px;
    backdrop-filter: blur(10px);
    -webkit-backdrop-filter: blur(10px);
    border: 1px solid rgba(255, 255, 255, 0.3);
    box-shadow: 0 4px 30px rgba(0, 0, 0, 0.1);
    border-radius: 16px 16px 0px 0px;
    background: rgba(168, 41, 32, 0.55);
    
    
}


.terminal_msg_inhalt {
    
    width: 90%;
    text-align: center;
    margin: 10px 10px 10px 10px;
    
    font-size: 20px;
    color: white;
}


.wrapper {
    display: flex;
    height: 100%;
    margin-top: 110px;
}


.terminal_col1 {
    
    float: left;
    flex-grow: 1;
    height: 90%;
    padding: 15px 0px 0px 10px;
    margin-top:-15px;
    background-color: #505050;
    overflow-y: scroll;
    overscroll-behavior: none;
    overflow-y: scroll; /* Ermöglicht Scrollen */
    overflow-x: hidden; /* Verhindert horizontales Scrollen */
    scrollbar-width: none;
    max-width: 100vw;
}

.terminal_col2 {
    
    float: right;
    width: auto;
    min-width: 150px;
    height: calc(100% - 140px);
    padding: 20px 0px 0px 0px;
    background-color: #19282F;
    position: sticky;
    right:0;
    top:0;
    backdrop-filter: blur(10px);
    -webkit-backdrop-filter: blur(10px);
    border: 1px solid rgba(255, 255, 255, 0.3);
    box-shadow: 0 4px 30px rgba(0, 0, 0, 0.1);
    border-radius: 16px;
    
}

.terminal_alarm_status_button {
    
    text-align: center;
    margin: 0px 0px -14px 5px;
    padding: 10px 10px 10px 10px;
    width: calc(100% - 10px);;
    font-size: 20px;
    color: black;
    float: center;
    background-color: #ADB5BD;
    backdrop-filter: blur(10px);
    -webkit-backdrop-filter: blur(10px);
    border: 1px solid rgba(255, 255, 255, 0.3);
    box-shadow: 0 4px 30px rgba(0, 0, 0, 0.1);
    border-radius: 16px;
    
    
}


.terminal_alarm_map_info {
    margin: 10px 0px -5px 0px; 
    height: 10px; 
    position: fixed; 
    left: 10px;
    right: 80px;
    z-index: 1000;
}


@media (min-width: 751px) {
    .terminal_alarm_map_info {
        right: 220px; 
    }
}



#terminal_alarm_status_button_selected {
    
    color: black;
    background-color: var(--fs-button-orange);
    
}

.terminal_alarm_status_num {
    
    font-weight: bold;
    text-align: center;
    font-size: 40px;
    margin: 0px 0px 0px 0px;
    
    
}

.terminal_alarm_list_button {
    position: relative;
    text-align: left;
    float: left;
    border-width: 1px;
    border-radius: 10px;
    border-color: white;
    margin: 0px 0px -14px 0px;
    padding: 10px 10px 10px 10px;
    width: 100%;
    font-size: 20px;
    color: black;
    background-color: #ADB5BD;
    overflow: hidden; /* Wichtig für den Balken */
}

.terminal_file_list_button {
    position: relative;
    text-align: left;
    float: left;
    border-width: 1px;
    border-radius: 10px;
    border-color: white;
    margin: 0px 0px -20px 0px;
    padding: 10px 10px 10px 10px;
    width: 100%;
    font-size: 20px;
    color: black;
    background-color: #ADB5BD;
    overflow: hidden;
    white-space: nowrap;
    text-overflow: ellipsis;
    
    /* Neue Flexbox-Eigenschaften */
    display: flex;
    align-items: center;
    gap: 20px;
}

/* Der farbige Balken */
.terminal_alarm_list_button::before {
    content: '';
    position: absolute;
    left: 0;
    top: 0;
    bottom: 0;
    width: 6px;
    background-color: #000000; /* Default-Farbe */
    border-radius: 10px 0 0 10px;
}

/* Status-spezifische Farben */
.terminal_alarm_list_button.status-1::before {
    background-color: red;
}

.terminal_alarm_list_button.status-3::before {
    background-color: #ff7e00;
}

.terminal_alarm_list_button.status-6::before {
    background-color: green;
}

.terminal_alarm_list_button.status-B::before {
    background-color: green;
}


#terminal_alarm_list_button_selected {
    
    
    background-color: #6696ff;
    
}

.terminal_p_leer_text {
    position: absolute;
    top: 50%;            /* Oberkante bei 50% der Parent-Höhe */
    left: 0%;           /* Linke Kante bei 50% der Parent-Breite */
    font-weight: bold;
    color: var(--fs-button-orange);
    font-size: 30px;
    margin: 0;
    width: calc(100% - 150px);/* Verhindert unerwünschtes Umbruch-Verhalten */
    text-align: center;
}

.terminal_msg_but_ok {
    
    width: 150px;
    height: 60px;
    
    border-radius: 5px;
    
    float: left;
    color: white;
    font-weight: bold;
    font-size: 20px;
    
    margin: 100px 0px 0px 180px;
    
    background-color: green;
    
    backdrop-filter: blur(10px);
    -webkit-backdrop-filter: blur(10px);
    border: 1px solid rgba(255, 255, 255, 0.3);
    box-shadow: 0 4px 30px rgba(0, 0, 0, 0.1);
    border-radius: 16px;
}





.terminal_msg_but_abr {
    
    width: 150px;
    height: 60px;
    
    border-radius: 5px;
    
    float: left;
    
    font-weight: bold;
    font-size: 20px;
    
    margin: 100px 0px 0px 10px;
    
    background-color: #A82920;
    
    backdrop-filter: blur(10px);
    -webkit-backdrop-filter: blur(10px);
    border: 1px solid rgba(255, 255, 255, 0.3);
    box-shadow: 0 4px 30px rgba(0, 0, 0, 0.1);
    border-radius: 16px;
}


.alarm_file_link {
    
    color: black;
    text-decoration: none;
    border: solid;
    border-color: var(--fs-button-orange);
    border-width: 2px;
    border-radius: 5px;
    padding: 3px 5px 3px 30px;
    overflow: hidden;
    white-space: nowrap;
    text-overflow: ellipsis;
    background-color: #ADB5BD;
    
}

.alarm_file_link:active {
    
    color: white;
    background-color: #ADB5BD;
   
}

.alarm_file_link:hover {
    
    color: white;
    background-color: var(--fs-button-orange);
   
}


.alarm_file_png {
    
    height: 30px;
    width: 28px;
    margin: 0px 0px 0px -30px;
    position: absolute;
    
}







#terminal_alarm_detail_nr {
    
    margin: 0px 0px 0px 0px;
    font-weight: bold;
    color: var(--fs-button-orange);
    
}

.terminal_alarm_detail_panel_titel {
    
    background-color: #ADB5BD;
    width: calc(100% - 15px);
    font-weight: bold;
    padding: 0px 0px 0px 10px;
    margin: 0px 0px 0px 0px;
    color: black;
    backdrop-filter: blur(10px);
    -webkit-backdrop-filter: blur(10px);
    border: 1px solid rgba(255, 255, 255, 0.3);
    box-shadow: 0 4px 30px rgba(0, 0, 0, 0.1);
    border-radius: 5px 16px 0px 0px;
    
}

.terminal_alarm_detail_panel_inhalt {
    
    height: auto;
    background-color: #cccccc;
    width: calc(100% - 15px);
    padding: 5px 0px 5px 10px;
    margin: 0px 0px 15px 0px;
    font-size: 24px;
    color: black;
    text-decoration: none;
    backdrop-filter: blur(10px);
    -webkit-backdrop-filter: blur(10px);
    border: 1px solid rgba(255, 255, 255, 0.3);
    box-shadow: 0 4px 30px rgba(0, 0, 0, 0.1);
    border-radius: 0px 0px 16px 16px;
    max-width: 100vw;
    
}


.einheittext {
    
    float: left;
    font-size: 50px;
    color: white;
    margin: 18px 0px 0px 30px;
    overflow: hidden;
    max-width: calc(35vw);
    white-space: nowrap;
    text-overflow: ellipsis;
    
}

    
    @media (max-width: 1200px) {
        .einheittext { max-width: 450px; }
    }
    
    @media (max-width: 840px) {
        .einheittext { max-width: 250px; }
    }
    
    @media (max-width: 576px) {
        .einheittext { max-width: 150px; }
    }
    
    
    
    #screensaver {
            position: fixed;
            top: 0;
            left: 0;
            width: 100%;
            height: 100%;
            background-color: black;
            display: none;
            z-index: 9999;
            overflow: hidden;
            cursor: pointer; /* Zeigt an, dass es klickbar ist */
        }
        
        #screensaver-content {
            position: absolute;
            display: flex;
            flex-direction: column;
            align-items: center;
            justify-content: center;
            text-align: center;
            color: white;
            font-family: Arial, sans-serif;
            padding: 20px;
            background-color: rgba(0, 0, 0, 0.7);
            border-radius: 10px;
            min-width: 250px;
        }
        
        #screensaver-datetime {
            font-size: 30px;
            margin-bottom: 15px;
            white-space: nowrap;
            font-weight: bold;
        }
        
        #screensaver-logo {
            width: 100px;
            height: auto;
            max-width: 100%;
            margin-bottom: 15px;
            margin-top: 15px;
        }
    
    
    
    
    
    /* Zusatz Klassen */
.glass {
  backdrop-filter: blur(10px);
  -webkit-backdrop-filter: blur(10px);
  box-shadow: 0 4px 30px rgba(0, 0, 0, 0.1);
  background: rgba(255, 255, 255, 0.15);
  border-width: 1px !important; 
  border: solid;
  border-color: white;
}




.leaflet-popup.glass .leaflet-popup-content-wrapper {
  backdrop-filter: blur(10px);
  -webkit-backdrop-filter: blur(10px);
  box-shadow: 0 4px 30px rgba(0, 0, 0, 0.1);
  background: rgba(255, 255, 255, 0.15);
}





